Index: SRC/src/fr/triangle/hyperalign/gui/concord/ResultPane.java
===================================================================
--- SRC/src/fr/triangle/hyperalign/gui/concord/ResultPane.java	(revision 19)
+++ SRC/src/fr/triangle/hyperalign/gui/concord/ResultPane.java	(revision 20)
@@ -41,7 +41,7 @@
 import javax.swing.table.TableColumn;
 import javax.swing.table.TableRowSorter;
 
-import fr.triangle.hyperalign.gui.HMManager;
+import fr.triangle.hyperalign.gui.HMController;
 import fr.triangle.hyperalign.gui.Hypermachiavel;
 import fr.triangle.hyperalign.kernel.DataManager.AnnotationManager;
 import fr.triangle.hyperalign.kernel.DataManager.DictionaryManager;
@@ -116,10 +116,10 @@
 
 	private Vector<OccurrenceSet> selectedTargetOccurrences;
 
-	private HMManager manager ;
+	private HMController manager ;
 	private ResultManager queryManager;
 
-	public ResultPane(HMManager manager){
+	public ResultPane(HMController manager){
 		this.manager = manager;
 		this.res = HyperalignData.getInstance().getResourceBundle();
 		HyperalignData.getInstance().addObserver(this);
@@ -685,7 +685,7 @@
 					resultEl = element.getName();
 					break; 
 				case 2 : //"Nb children"
-					resultEl = ""+element.children().size();
+					resultEl = ""+element.childrenVect().size();
 					break;
 				default : break;
 				}
@@ -707,14 +707,14 @@
 					}
 					else {
 						equiTemp.removeElement(occ);
-						equivalence.addElement(occ, textEl);
+						equivalence.addElement(occ, textEl, "");
 					}
 				}else {
-					equivalence.addElement(occ, textEl);
+					equivalence.addElement(occ, textEl, "");
 				}
 			}else {
 				ParallelTextElement textEl = manager.getDataManager().getCorpusManager().findTextElement(occ.getDivision());
-				equivalence = manager.getDataManager().getEquivalenceManager().addEquivalenceElement(occ, "", textEl);
+				equivalence = manager.getDataManager().getEquivalenceManager().addEquivalenceElement(occ, "", textEl, "");
 			}
 		}
 		return equivalence;
@@ -743,15 +743,15 @@
 						}
 						else {
 							equiTemp.removeElement(occElement.getOccurrence());
-							equivalence.addElement(occElement.getOccurrence(),textEl);
+							equivalence.addElement(occElement.getOccurrence(),textEl, "");
 						}
 					}else {
-						equivalence.addElement(occElement.getOccurrence(), textEl);
+						equivalence.addElement(occElement.getOccurrence(), textEl, "");
 					}
 				}else {
 					OccurrenceSet occSet = occElement.getOccurrence();
 					ParallelTextElement textEl = manager.getDataManager().getCorpusManager().findTextElement(occSet.getDivision());
-					equivalence = manager.getDataManager().getEquivalenceManager().addEquivalenceElement(occSet, "", textEl);
+					equivalence = manager.getDataManager().getEquivalenceManager().addEquivalenceElement(occSet, "", textEl, "");
 				}
 			}
 		}
@@ -902,7 +902,7 @@
 		if(okToIndex){
 			if(queryManager.getSearcher().getTerms()==null){
 				String [] words = queryManager.getSearcher().getQuery();
-				manager.getSearchManager().index(indexOcc, words, termino, refText);
+				manager.getSearchController().index(indexOcc, words, termino, refText);
 			}else{
 				int nbAdded = dicoManager.addOccurrences(indexOcc, queryManager.getSearcher().getTerms());
 				String [] words = dicoManager.getWords(queryManager.getSearcher().getTerms());
@@ -1020,7 +1020,7 @@
 		indexLine.add(new Integer(row));
 
 		//TO DISPLAY !!
-		manager.displayText(elementSelected, newOccs, false);
+		manager.getCorpusController().displayText(elementSelected, newOccs, false);
 	}
 
 	private void showEquivalenceEdition(int row, ParallelTextElement elementSelected){
@@ -1042,7 +1042,7 @@
 					if(occSet.getEquivalence()!=null){
 						EquivalenceManager equiManager = manager.getDataManager().getEquivalenceManager();
 						equiManager.setEquivalenceCurrentState(occSet);
-						manager.showEquivalenceForOccurrence();
+						manager.getTranslationController().showEquivalenceForOccurrence();
 						hasEquivalence = true;
 					}
 				}			
@@ -1076,7 +1076,7 @@
 				}
 			}
 		} 	
-		manager.displayText(elementSelected, occs, true);
+		manager.getCorpusController().displayText(elementSelected, occs, true);
 	}
 
 	private void exportConcordance(){
@@ -1194,7 +1194,7 @@
 		//System.out.println("===> OCCS : "+occs.toString());
 		//System.out.println("===> SELECTED ELEMENT : "+elementSelected.getId());
 		//DISPLAY with selection of RESULT !!!
-		manager.displayText(elementSelected, occs, false);
+		manager.getCorpusController().displayText(elementSelected, occs, false);
 
 
 		if(resultBool){
@@ -1220,7 +1220,7 @@
 		selectedTerminologyElement = (DictionaryElement) resultTableModel.getValueAt(row, 1);
 		terminoElementSelected = true;
 		//System.out.println("-------------selectionOfOccurrence : OCC (" +selectedTerminologyElement+")----------");
-		manager.displayTextWithHighlightsForDictionary(occ, refText);
+		manager.getCorpusController().displayTextWithHighlightsForDictionary(occ, refText);
 		return word;
 	}
 
@@ -1250,7 +1250,7 @@
 		*/
 
 		////////////////////
-		manager.displayTextFromConcordance(localisation, occSet, refText);	
+		manager.getCorpusController().displayTextFromConcordance(localisation, occSet, refText);	
 	}
 
 	private void selectionOfConcordanceIndex(int row, boolean resultBool){
@@ -1274,7 +1274,7 @@
 		System.out.println("ResultPane.selectionOfConcordanceIndex() => LOCALISATION ["+localisation+"] - "+
 				occSet+" ["+indexesOcc[0]+"-"+indexesOcc[1]+"]");
 		refText = (HyperalignText) resultTableModel.getValueAt(row, numCol+1); //1 ou 2
-		manager.displayTextFromConcordance(localisation, occSet, refText);	
+		manager.getCorpusController().displayTextFromConcordance(localisation, occSet, refText);	
 
 
 		if(resultBool){
